blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
19a04d48145e764eda7906b14685d1e84d64fdb5 | Shell | HSurvck/LNMP | /+++/m01.sh | UTF-8 | 785 | 2.90625 | 3 | [] | no_license | #!/bin/bash
rm -rf /var/spool/cron/root
sed -i "8d;7a\#restrict default kod nomodify notrap nopeer noquery" /etc/ntp.conf
sed -i "21a\server pool.ntp.org prefer" /etc/ntp.conf
/etc/init.d/ntpd start
chkconfig ntpd on && chkconfig --list ntpd
\rm -f /root/.ssh/id_dsa*
ssh-keygen -t dsa -f /root/.ssh/id_dsa -P "" -... | true |
9214f883dfe84bd8e67afeacd2d1f243d89742b0 | Shell | xjschwen/TrobotWorkstationSetup | /linux/desktop/setup-chrome.sh | UTF-8 | 422 | 3.171875 | 3 | [] | no_license | #!/bin/bash
err_report() {
echo "Error on line $1"
exit 1
}
trap 'err_report $LINENO' ERR
pushd ~/Downloads
rm -f ~/Downloads/google-chrome-stable_current_amd64.deb*
wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
sudo dpkg -i google-chrome-stable_current_amd64.deb
sudo apt-... | true |
69ac188bfe4f47bb466f89fae15689f7f0873bd0 | Shell | ft/arename | /bin/critic.sh | UTF-8 | 631 | 3.890625 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
crit=${CRITIC:-"$(which perlcritic)"}
if [ ! -x "${crit}" ] ; then
printf ' !!! perlcritic not found - not checking.\n'
printf ' !!! use: make test critic=/path/to/perlcritic\n\n'
exit 0
fi
printf 'Checking source code using Perl::Critic...\n\n'
retval=0
for file in "$@" ; do
printf 'PERLC... | true |
43504ac2e5988d180696d36b199964f07e1b0656 | Shell | daiyinger/ramfs | /init | UTF-8 | 284 | 3.109375 | 3 | [] | no_license | #!/bin/sh
mount -t proc proc /proc
cat /proc/cmdline | grep "switch." >/dev/null
data=$?
if [ $data -eq 0 ];then
echo "need to switch sysroot, direct exec /etc/init.d/rcS"
cmd="/etc/init.d/rcS"
else
echo "not need to switch sysroot, exec /linuxrc"
cmd="/linuxrc"
fi
exec $cmd
| true |
5b8603e1d95147e8ecbb9a14775bfdf599b56a0c | Shell | jeancochrane/test-ansible-pip | /install_pip.sh | UTF-8 | 435 | 3.875 | 4 | [] | no_license | #!/bin/bash
# Install pip, using the same strategy as described by the Ansible local provisioner docs.
command -v pip
if [ $? -ne 0 ]; then
pushd /tmp
curl -s https://bootstrap.pypa.io/get-pip.py -o get-pip.py
python get-pip.py
pip install -U pip
$PIP_VERSION=$(pip --version)
echo "install_pi... | true |
ba83b3b1caa2d6cfcf1eda2ab187b277e6606b9a | Shell | astarove/Scripts | /git/checkout_branch.sh | UTF-8 | 206 | 3.328125 | 3 | [] | no_license | #!/bin/bash
REVISION=${1}
git checkout master
git remote update
git pull
if [ $REVISION ]
then
git review -d $REVISION
git branch
else
echo "Revision number is missed, switching on MASTER"
fi
| true |
0401d9480eb3eb89e893e6bcee12597ff398a57e | Shell | J-Baxter/bash_utils | /alignbyblocks.sh | UTF-8 | 2,215 | 3.984375 | 4 | [] | no_license | #!/bin/sh
# 130420
# J Baxter
# preprocessing of fasta files: count, split, align, concatenate
# 010520 JB create new directory with counter if one already exists
#read file from argument
INPUTFASTA="$1"
#number of sequences
NUMSEQ=$(grep -c '^>' $INPUTFASTA)
echo "$NUMSEQ sequences in file"
#prepare working dir... | true |
9307047fef0c93efef8b4af21fb9fbc3e046c2ff | Shell | jaydson/dotfiles | /install.sh | UTF-8 | 977 | 3.953125 | 4 | [] | no_license | #!/bin/bash
########## Variables
dir=~/dotfiles # dotfiles directory
olddir=~/dotfiles_old # old dotfiles backup directory
files=".bashrc .vimrc .vim" # list of files/folders to symlink in homedir
##########
# create dotfiles_old in homedir
echo "Creating $olddir for backup of a... | true |
e8dc386f43fd562b789e1bbb5cf23de1334e8336 | Shell | ivan1986/dotfiles | /.config/zsh/ls.zsh | UTF-8 | 1,084 | 2.671875 | 3 | [] | no_license | #####################################################################
### LS
#подсветка синтаксиса
LS_COLORS='no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:bd=40;33;01:cd=40;33;01:ex=01;32:mi=5;31;46:or=5;31;46:*.cmd=01;32:*.exe=01;32:*.com=01;32:*.btm=01;32:*.bat=01;32:*.deb=01;31:*.tar=01;31:*.tgz=01;31:*.arj=01;31... | true |
d294cdc3b54997f9329c48b0430134aed80e4e4f | Shell | tugberkugurlu/redis-cluster | /redis-cluster-initializer/setup-cluster.sh | UTF-8 | 1,924 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
declare -a nodes=("172.19.197.2" "172.19.197.3" "172.19.197.4" "172.19.197.5" "172.19.197.6" "172.19.197.7")
nodesToRegister=""
# force all the nodes to be available
for node in "${nodes[@]}"
do
redis-cli -h $node ping
nodesToRegister="$nodesToRegister $node:6379"
done
registeredNodeIPs=( $( redis-c... | true |
041c0ce4154c5131c2c15335d622b13ee8f35cd6 | Shell | raajubothra/acloud.guru | /CertifiedProfessionalDeveloper.2018/CLI/acg.cli.sh | UTF-8 | 4,870 | 3.296875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
### AWS CLI code for the AWS CLI lab from the acloud.guru AWS
### Certified Develper Associate course
# turn off history expansion
set +H
# Go home
region="us-east-1"
aws configure set default.region $region
# Bucket names must be globally unique, change accordingly
bucketName='acloudguru1234-jmm'
# ... | true |
9adbd57a434a3e543ebba2fc57a48ecf331b6e1f | Shell | PriceLab/snapr_workflow | /bash/upload-logs.sh | UTF-8 | 2,488 | 3.984375 | 4 | [] | no_license | #!/bin/bash
if [[ $1 == */ ]]; then
S3_PATH=${1}logs/
else
S3_PATH=$1/logs/
fi
UPLOAD_LOG_FILE=$2
SNAPR_WF_HOME="/home/snapr_workflow"
if [ -z "$S3_PATH" ]; then
echo "usage: $0: <s3-path>"
exit 1
fi
function logBucketDiff {
PID=$$
if [[ $1 == */ ]]; then
S3_OUT_DIR=$1
else
... | true |
d0299fa4977bcb1c71a957eb9a69f49c12553585 | Shell | QLGu/sing | /script/setup.sh | UTF-8 | 3,078 | 3.078125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
USER=`whoami`
APP_ROOT=/var/www/singflying
sudo apt-get update
# Install system packages
sudo DEBIAN_FRONTEND=noninteractive apt-get install -y redis-server memcached git-core nodejs imagemagick postfix
# Install Elasticsearch
# wget -O - http://packages.elasticsearch.org/GPG-KEY-elasticsearch |... | true |
d3a75a2d76d5f62bcdaf7e062c3a90e6caa34171 | Shell | russoz/openstack-operator | /devstack/lib/glance | UTF-8 | 7,060 | 3.515625 | 4 | [] | no_license | #!/bin/bash
#
# lib/glance
# Functions to control the configuration and operation of the **Glance** service
# Dependencies:
#
# - ``functions`` file
# - ``DEST``, ``DATA_DIR``, ``STACK_USER`` must be defined
# - ``SERVICE_{TENANT_NAME|PASSWORD}`` must be defined
# - ``SERVICE_HOST``
# - ``KEYSTONE_TOKEN_FORMAT`` must ... | true |
66c6bb80e95e4e0f0eb3e6c0e405725c22860d1f | Shell | pmeulen/xml-tools | /create_catalog.sh | UTF-8 | 9,317 | 3.3125 | 3 | [] | no_license | #!/bin/sh
# @copyright Copyright 2013 SURFnet bv, The Netherlands
# @author Pieter van der Meulen <Pieter.vanderMeulen@surfnet.nl>
# @license http://www.apache.org/licenses/LICENSE-2.0
# Create a catalog (for use with libxml2) of downloaded schema's
# When the catalog file already exists new schema's are add... | true |
cea1f07677076546ea9d65dff12737e69b2a5cbe | Shell | deekob/location-service-react-app | /scripts/send-new-locations.sh | UTF-8 | 537 | 3.171875 | 3 | [] | no_license | #!/bin/bash
LAT=54.607868
LONG=-5.926437
# Basic while loop
while [ true ]
do
echo 'starting...'
DEVICENAME="$2"
TIME=$(date +%s)
UPDATE="DeviceId=$DEVICENAME,Position=$LONG,$LAT,SampleTime=$TIME"
echo "$UPDATE"
aws location \
batch-update-device-pos... | true |
52f69e461930cfd142c7865e4aeb9422493cac95 | Shell | Napsty/check_netscaler | /tests/plugin_test.sh | UTF-8 | 2,690 | 3.109375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
if [ ! -f "${1}" ]; then
echo "ERROR: config file not found or not readable"
echo ""
echo "Syntax: $0 <config.ini> [<section>]"
echo ""
echo "Configuration example:"
echo ""
echo " [netscaler]"
echo " username=nsroot"
echo " password=nsroot"
echo " hostname=netscaler01.example.local... | true |
5300a21b297cdc2324d5e31710ee42a6d9a89915 | Shell | AnoopKumar39/Practice | /arith-ip | UTF-8 | 373 | 3.15625 | 3 | [] | no_license | #!/bin/bash
read -p "Enter first value: " val1
read -p "Enter second value: " val2
r="\e[34m"
n="\e[0m"
echo -e $r"addition = $((val1+val2))"
echo "subtraction = $((val1-val2))"
echo "multiplication = $((val1*val2))"
echo -e "division = $((val1/val2))"
echo -e $r"rev-sub = $((val2-val1)) $n"
echo -e "division = $((... | true |
23d99bf451a5d7579bc3408ca5de8b29ecb96cec | Shell | TheHene/dotfiles | /home/zshrc | UTF-8 | 997 | 2.546875 | 3 | [] | no_license | # If you come from bash you might have to change your $PATH.
# export PATH=$HOME/bin:/usr/local/bin:$PATH
# Path to your oh-my-zsh installation.
export ZSH=$HOME/.oh-my-zsh
# Set name of the theme to load. Optionally, if you set this to "random"
# it'll load a random theme each time that oh-my-zsh is loaded.
# See ht... | true |
3fa7f8f68c80f73085aecfefaf16fae61b2467b6 | Shell | pkmoore/CrashSimulator | /test/gzip/test_gzip_unzip.sh | UTF-8 | 462 | 2.640625 | 3 | [] | no_license | #!/bin/sh
cd ../../sample_programs > /dev/null;
touch zippee.txt;
gzip zippee.txt;
cd .. > /dev/null;
strace -f -s 9999 -vvvvv -o sample_programs/unzip_gzip.strace gzip -d sample_programs/zippee.txt.gz;
cd sample_programs > /dev/null;
gzip zippee.txt;
cd .. > /dev/null;
python main.py -c "['gzip', '-d', 'sample_prog... | true |
ec6dd0b05f9d01d178e697bae071d06802e7cc36 | Shell | woken-ml/algorithm-factory-demo | /run.sh | UTF-8 | 2,076 | 3.59375 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
#
# Start Woken and its full environment
#
set -e
get_script_dir () {
SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ]; do
DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
SOURCE="$( readlink "$SOURCE" )"
[[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE"
... | true |
6f435236e9fec171602d4df1f0406c4f1ffcf398 | Shell | fhofherr/hazcld | /scripts/tmux-pane-runs-vim | UTF-8 | 338 | 3.703125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
PATTERN="[[:space:]]*g?(view|n?vim?x?)(diff)?"
function find_vim() {
local pid
pid="$1"
while [[ -n "$pid" ]]; do
read -r pid cmd <<<"$(command ps --ppid "$pid" -o pid= -o comm=)"
if [[ "$cmd" =~ $PATTERN ]]; then
return 0
fi
done
return 1... | true |
f386c15fa4f36d03d686a4a2a757774371cc163b | Shell | richa92/Jenkin_Regression_Testing | /robo4.2/fusion/tests/wpst_crm/crm_austin/promote-as-cmp-file.sh | UTF-8 | 519 | 3.953125 | 4 | [] | no_license | #!/bin/bash
DATAFILE=$1
#main
targetFile=$(basename "$DATAFILE" | /bin/sed -e "s/^data-/save-/")
targetDir=$(dirname "$DATAFILE")
if [ -e $DATAFILE ]
then
echo -n "Promoting data file ${DATAFILE} to ${targetDir}/${targetFile}..."
cp "$DATAFILE" "${targetDir}/${targetFile}"
if [ $? != 0 ];then echo "Failed to c... | true |
f66b20080cf581a0df05b6b782e6c509410e396b | Shell | ceec/bashsettings | /.bash_profile | UTF-8 | 292 | 2.515625 | 3 | [] | no_license | parse_git_branch() {
git branch 2>/dev/null | sed -e '/^[^*]/d' -e 's/* \(.*\)/(\1)/'
}
export PS1='\[\033[0;32m\]\[\033[0m\033[0;32m\]\u\[\033[0;36m\]@\[\033[0;36m\]\h \w\[\033[0;32m\]$(parse_git_branch)\n\[\033[0;32m\]└─\[\033[0m\033[0;32m\] \$\[\033[0m\033[0;32m\] ★\[\033[0m\] '
| true |
113944fff33fba12593f5aa9d76b7109b238efeb | Shell | jessicayung/GetOldTweets-python | /concatenate_files.sh | UTF-8 | 200 | 3.25 | 3 | [
"MIT"
] | permissive | # Concatenates all CSV files for included symbols
for s in `seq 1 30` #range of lines from text file
do
symbol=`sed "${s}q;d" dow_jones_stocks.txt`
cat ${symbol}*".csv" > "all${symbol}.csv"
done
| true |
173ce711dbcaa496b2a855b4b9ae4fb11db7abe9 | Shell | yrahul3910/convenience-scripts | /mk-jobs.sh | UTF-8 | 184 | 2.953125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ $# -eq 1 ]
then
if [ $1 = '-h' ] || [ $1 = '--help' ]
then
echo "Usage: mk-jobs n_jobs script"
exit 0
fi
fi
for i in $(eval echo {1..$1})
do
sbatch $2
done
| true |
16b2cb6799e42ac35273a1c40f10848d002eafaf | Shell | prajwalrk123/interval_transcoding | /scripts/build_libav.sh | UTF-8 | 1,881 | 3.375 | 3 | [] | no_license | #!/bin/bash
set -e
if [[ "$#" == 0 ]]
then
echo "
Usage: $0 <debug|release> [local]
'local' means using non-system-wide installation of x264 and libfaac,
expects them in `pwd`/../x264, `pwd`/../faac-1.28
"
exit 1
fi
if [[ "$1" == "debug" ]]
then
echo 'debug build'
OPTIM=' --enable-debug --disable-opti... | true |
b7378116003d95e662e1b9509f992cae3f11beff | Shell | corpusops/setups.harbor | /setup/wrap_migrate | UTF-8 | 432 | 2.90625 | 3 | [] | no_license | #!/usr/bin/env bash
set -ex
cd $(dirname $(readlink -f "$0"))
if [ ! -e common/config/jobservice/env ];then
echo "no existing conf, bailing out"
exit 0
fi
if [[ -z ${SKIP_MIGRATE-} ]];then
docker run --rm -v $(pwd):/hostfs \
{{harbor_images_migrate}} migrate -i /harbor.yml
fi
if [ -e docker-compose.... | true |
9461636c01dd150cd7817b6caaf5311c51370036 | Shell | OpenNebula/one | /src/tm_mad/ssh/monitor_ds | UTF-8 | 2,279 | 3.453125 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0",
"LicenseRef-scancode-proprietary-license"
] | permissive | #!/bin/bash
# -------------------------------------------------------------------------- #
# Copyright 2002-2023, OpenNebula Project, OpenNebula Systems #
# #
# Licensed under the Apache License, Version 2.0 (the "License"); you ... | true |
7843c061960b7d2798f62e945ad7adb521f76580 | Shell | jniehues-kit/SLT.KIT | /scripts/evaluate/Rover.asr.sh | UTF-8 | 1,270 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if (( $# != 3 )); then
echo "Not enough parameters: $0 testset hyp_dir out_dir"
exit
fi
test_set=$1
rover_dir=$2
out_dir=$3
mkdir -p ${out_dir}
# /data/ctc/eval
rover_string=""
for hyp in ${rover_dir}/*.s; do
name=${hyp##*/}
ctm_name=${out_dir}/${name}.ctm
/root/anaconda3/bin/python /opt/SLT.KI... | true |
1621c5529a033b0d1cd82b221ffcd50bae0473f9 | Shell | sjml/drax | /tag_release.sh | UTF-8 | 1,945 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
if ! type hub > /dev/null 2>&1; then
>&2 echo "No working hub installation detected. https://hub.github.com/"
exit 1
fi
if ! type node > /dev/null 2>&1; then
>&2 echo "No working Node.js installation detected. https://nodejs.org/en/"
exit 1
fi
if [ -n "$(git status --porcelain)" ]; then
>&2 ech... | true |
7aaca174ecd53204aef10d086c8b38ea09544a76 | Shell | jmeraq/flisol2018 | /backup_db.sh | UTF-8 | 1,420 | 2.59375 | 3 | [] | no_license | #!/bin/bash
USER="*******"
PASSWORD="********"
DATABASE="db1"
DATABASE2="db2"
DATABASE3="db3"
DATABASE4="db4"
DATABASE5="db5"
rm -rf /home/userdocker/respaldos/db/glpi/*
rm -rf /home/userdocker/respaldos/db/ocs/*
rm -rf /home/userdocker/respaldos/db/red_emprende/*
rm -rf /home/userdocker/respaldos/db/for... | true |
8c73c1db944b1bd795b6fa6d4e0343705b912b00 | Shell | TDMedina/Bash_Scripts | /SAMtoSortBAM.sh | UTF-8 | 531 | 3.46875 | 3 | [] | no_license | #!/bin/bash
# Your job name
#$ -N TM_SAMtoSortBAM
# The job should be placed into the queue 'all.q'
#$ -q all.q
# Running in the current directory
#$ -cwd
# Export some necessary environment variables
#$ -v PATH
#$ -v LD_LIBRARY_PATH
#$ -v PYTHONPATH
#$ -S /bin/bash
#Commands
#Command line arguments: qsub script.... | true |
8fad80f6fdc794f6e59fd2d167d38b05aed0b2c5 | Shell | tmsmith/dotfiles | /zsh/custom/macos/aliases.zsh | UTF-8 | 1,246 | 2.765625 | 3 | [] | no_license | # brew cask
alias cask='brew cask'
# Recursively delete `.DS_Store` files
alias cleanup="find . -type f -name '*.DS_Store' -ls -delete"
# List download history from quarantine. https://mths.be/bum
alias download_history="sqlite3 ~/Library/Preferences/com.apple.LaunchServices.QuarantineEventsV* 'select LSQuarantineDat... | true |
9ff53db8b7b5c4ca75f744bcb234271740378e9e | Shell | ShoupingShan/Shell | /train5/exam_array.sh | UTF-8 | 681 | 3.15625 | 3 | [] | no_license | #! /bin/bash
#通过指定元素值来定义数组
array[1]=one
array[3]=three
array[10]=ten
echo "${array[@]}"
echo "${array[2]}"
#通过declare语句定义数组
declare -a arr #-a选项表示后面定义的是一个数组
arr[0]=1
arr[1]=2
echo "${arr[@]}"
#通过元素值集合定义数组
:<<BLOCK
array=(v0 v1 v2 ...vn)
BLOCK
array=(1 2 3 4 5 6 7 8)
echo "${array[0]}"
echo "${array[@]}"
echo "${#array[... | true |
5e1b4ceca44d0aad93421f4cdbd81776e6d70a59 | Shell | infantium/infantium-corona-example | /android/debug_build_and_install.sh | UTF-8 | 897 | 3.40625 | 3 | [] | no_license | #!/bin/bash
./build.sh
if [ ! -z "$1" ]
then
APK_NAME=$1
else
echo '###############################################'
echo '## APK not signed. Pass the APK file name ##'
echo '## as an argument to get it signed as debug. ##'
echo '###############################################'
exit -1
fi
jarsigner -verbos... | true |
f44ba9ec76c9865600b56b3c20a7ec49c083a641 | Shell | andrea19081996/BigDataProject2 | /template-scripts/start-local-voltdb.sh | UTF-8 | 771 | 3.421875 | 3 | [] | no_license | #!/bin/bash
source =REPO_DIR=/scripts/common.sh
docker pull voltdb/voltdb-community:latest
if [ $# -eq 0 ]
then
echo 'Inserire numero di nodi nel cluster di voltdb che si vogliono creare'
else
docker network create -d bridge voltLocalCluster
host=""
for (( c=1; c<=$1; c++ ))
do
if [ $c -ne ... | true |
506fd5a6865475b6a0126e5a41b23f3132c5a9c7 | Shell | delkyd/alfheim_linux-PKGBUILDS | /gnome-shell-extension-clipboard-indicator-git/PKGBUILD | UTF-8 | 812 | 2.53125 | 3 | [] | no_license | # Maintainer: Pantelis Panayiotou <p.panayiotou@gmail.com>
pkgname=gnome-shell-extension-clipboard-indicator-git
_gitname=pixel-saver
pkgver=20161031
pkgrel=1
pkgdesc="Adds a clipboard indicator to the top panel, and saves clipboard history"
arch=('any')
url="https://github.com/Tudmotu/gnome-shell-extension-clipboard-i... | true |
9678fe16d70ecbc2edae3ba1f25d04c871289269 | Shell | carru/dotFiles | /scripts/create_symlinks.sh | UTF-8 | 300 | 3.046875 | 3 | [] | no_license | #!/bin/bash
# REPO_PATH="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
REPO_PATH=$HOME"/dotFiles"
# tmux
ln -sf $REPO_PATH/.tmux.conf $HOME/.tmux.conf
# vim
ln -sf $REPO_PATH/.vimrc $HOME/.vimrc
# bashrc
if [ -f $HOME/.bashrc ]; then
echo . $REPO_PATH/.shell_customizations >> $HOME/.bashrc
fi
| true |
70716a95107c45ff78b029258af445548901dbaf | Shell | titrxw/swoole-api-framework | /server_start.sh | UTF-8 | 1,198 | 3.25 | 3 | [] | no_license | #! /bin/bash
path='/var/www/php/swoole-api-framework/index.php'
redisServer='/usr/bin/redis-server'
redisConf='/etc/redis/redis.conf'
stop() {
#https://www.cnblogs.com/qianjinyan/p/9244746.html
#grep -v grep | grep -v tail
#1、第一部分 “grep -v grep" 在文档中过滤掉包含有grep字符的行
#2、第二部分“grep -v tail” 在第一部分过滤掉之后再过滤掉剩余文档中包含有tai... | true |
b0e7071e485f722434f8e7325463bd7152605f0f | Shell | xfrankbx/aes-backup-script | /Backup.sh | UTF-8 | 6,353 | 3.875 | 4 | [] | no_license | #!/bin/bash
## Todo
## - Ask for Source and Destination
## - Ask for Destination Type
# create table files (org_filename text primary key, uid text, gid text, org_ctime text, org_mtime text, org_mode text, org_size text, enc_filename text, enc_ctime text,
# enc_mtime text, enc_size text);
function clear_stats {... | true |
32ebf62c807e866ad9d45b02461e53c868187b2f | Shell | gipert/Singularity.def | /gerda-tgsend/gerda-notifier | UTF-8 | 1,346 | 4 | 4 | [] | no_license | #!/bin/bash
# saner programming env: these switches turn some bugs into errors
set -o errexit -o pipefail -o noclobber -o nounset
! PARSED=$(getopt --options="l:h" --longoptions="logging:help" --name "$0" -- "$@")
if [ ${PIPESTATUS[0]} != 0 ]; then
# e.g. return value is 1
# then getopt has complained about w... | true |
1576796fa1a6b6cbf92c104f09faade25d5702ea | Shell | emazzotta/dotfiles | /bin/compressvideo | UTF-8 | 2,306 | 4.15625 | 4 | [] | no_license | #!/bin/bash
quality=28
codec=h264
remove=no
just_preview_compatible=no
function print_help() {
echo "usage: $(basename "${0}") <video_file>"
echo
echo "options:"
echo " -c, --codec Codec can be one ofh264, h265 or av1, default: ${codec}"
echo " -q, --quality Quality... | true |
ba0cd1a2daa21a9485aeea953665a9948cf8db5b | Shell | jason-green-io/papyri | /entrypoint.sh | UTF-8 | 660 | 3.53125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# turn on bash's job control
set -m
# extract environment variables for cron
printenv | sed 's/^\(.*\)$/export \1/g' > /root/project_env.sh
# create cron file from environment schedule
crontab << EOM
SHELL=/bin/bash
BASH_ENV=/root/project_env.sh
$SCHEDULE python /papyri/papyri.py --type $TYPE --world /da... | true |
8bfeab543d669fc3e76bee101e4d227811b0b129 | Shell | branden/kubernetes-base-addons | /test/scripts/setup-konvoy.sh | UTF-8 | 350 | 2.84375 | 3 | [] | no_license | #!/bin/bash
# NOTE: used by teamcity and dispatch
UNAME=$(uname | tr '[:upper:]' '[:lower:]')
KONVOY_VERSION="${KONVOY_VERSION:-v1.6.1}"
if ! [ -z $1 ]
then
KONVOY_VERSION=$1
fi
set -euo pipefail
curl --silent https://downloads.mesosphere.io/konvoy/konvoy_${KONVOY_VERSION}_${UNAME}.tar.bz2 | tar xjv --strip=1 ko... | true |
3ec577ef65d9504179bb47a7395e76033850832f | Shell | grebnesorbocaj/learn_spark | /hooks/pre-commit.template | UTF-8 | 580 | 3.96875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
files=$(git diff --cac... | true |
2a4e70931bd58df58df69731fad4ed61aa1605b3 | Shell | Wiredcraft/bouncer | /install.sh | UTF-8 | 2,022 | 3.859375 | 4 | [] | no_license | #!/bin/bash
GHK_ROOT=/opt/ghk
GHK_REPO="https://github.com/Wiredcraft/bouncer.git"
GHK_SCRIPT=${GHK_ROOT}/ghk-server
GHK_DAEMON=/etc/init.d/ghk-server
NODE_BIN=`which node`
NPM_BIN=`which npm`
if [[ ! ${NODE_BIN} ]];then
echo "Error: node not found in ${PATH}"
echo "Installation terminated"
exit 1
fi
if [[ ! $... | true |
e96115203af29955345d74604e88024acdac7bdc | Shell | LunarG/VulkanTools | /build-android/update_external_sources_android.sh | UTF-8 | 5,393 | 3.984375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Update source for Vulkan-Headers, Vulkan-Tools, and Vulkan-ValidationLayers
# Copyright 2016 The Android Open Source Project
# Copyright (C) 2015 Valve Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You ... | true |
b45262d56353077e4057ebef4ac3c9c57aac76e7 | Shell | ph03/config | /.local/bin/videoencode.sh | UTF-8 | 477 | 2.609375 | 3 | [] | no_license | #!/bin/sh
# Script for encoding videos using high quality H.264 codec and ffmpeg.
FFCOMMON="-vcodec libx264 -b 2000k -threads 0 -sameq -preset medium -tune animation -profile high"
NICENESS=19
FFMPEG="avconv"
nice -n ${NICENESS} ${FFMPEG} -i ${1} ${FFCOMMON} -pass 1 -f rawvideo -an -y /dev/null && nice -n ${NICENESS}... | true |
cfbb2dc24aa12296d074e561e13c292153fc0d7a | Shell | Natrinicle/Compromised_Search | /compromised_search | UTF-8 | 2,463 | 4.15625 | 4 | [] | no_license | #!/bin/bash
###########################
# Nathan Bohman #
# XMission #
# Compromised Site Search #
# 2014-06-13 #
# Version 1.3 #
###########################
#Types of files to exclude in regex format. Don't need to scan binary files as they are usually not compromised... | true |
be21e74f02017d31e334b53d9b2606ac530cb281 | Shell | joshdcar/Navigating_Azure_Talk | /hybrid/hybrid-app-service.sh | UTF-8 | 1,185 | 2.734375 | 3 | [] | no_license | #!/bin/bash
resourceGroup=navigating-azure-rg
gitrepo=https://github.com/Azure-Samples/php-docs-hello-world
region=eastus
webappname=navigating-azure-$RANDOM
aspName=$webappname-asp
tier=B1
# Create a resource group.
az group create --location $region --name $resourceGroup
# Create an App Service plan
az appservice... | true |
962edd855e21b72b24141a1de0278be3eadc022f | Shell | me-mike/ultimate_addon | /removeUCEImages.sh | UTF-8 | 4,696 | 4.1875 | 4 | [] | no_license | #!/bin/bash
#
# v001 - 04/19/2020 - Initial build
# v002 - 04/19/2020 - Added check to ensure build script was in this folder
# - Skip items in the noImage folder since they've already been processed
# v003 - 04/20/2020 - Adding checks for required executables
# Usage: - Ensure you have unsquashfs, mksquashfs, tou... | true |
b13c6fe6813868f117f91282a3f1e44944fb43d3 | Shell | pehnetom/DIT-generator | /script-MAPS.sh | UTF-8 | 1,669 | 3.40625 | 3 | [] | no_license | #!/bin/bash
g++ DITgenerator.cpp -o DIT -std=c++11
touch priklady.md
rm priklady.md
touch priklady.md
printf "# 1) PRIKLADY \r\n" >> priklady.md
printf "Spocitane priklady na K-Mapy. \r\n\r\n" >> priklady.md
a=10
b=2
for (( i = 18;i <= 29;i++)); do
case "$i" in
18) printf "\r\n## K-Mapy o 3 prommennych \r\n" >> ... | true |
cc3b832ca13601b0c91aca2c8221081778501670 | Shell | reggi/abide | /scripts/0500-installGlobal.sh | UTF-8 | 137 | 2.859375 | 3 | [] | no_license | USAGE="--installGlobal <package> installs he package globally"
function installGlobal {
cd ./packages/$1/ && npm i ./ -g && cd ../..
}
| true |
e8577cb9afe3baeccdf5b00724fcd083a3be53a2 | Shell | lex77/buildobot | /build-rpm | UTF-8 | 1,163 | 3.421875 | 3 | [] | no_license | #!/bin/bash
pkgdir=$(uuidgen)
build_rpm() {
cd "${rpm_src}" || exit 1
mkdir -p "${pkgdir}"/{BUILD,BUILDROOT,RPMS,SOURCES,SPECS,SRPMS}
mkdir -p "${pkgdir}/SOURCES/${rpm_project}-${rpm_commit}"
find . -not -path "./.git*" -not -path "./${pkgdir}*" -not -path "." -exec cp -r --parents {} "${pkgdir}/SOUR... | true |
e2a8cbd9dedd5478180a14d856977a5444a961a5 | Shell | zweiein/kaldi | /sandbox/bolt/egs/bolt_mandarin/s5/local/run_dnn_mpe.sh | UTF-8 | 1,703 | 2.8125 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash
set -e
set -o pipefail
set -u
set -x
. ./path.sh
. ./cmd.sh
parallel_opts="-l gpu=1" # This is suitable for the CLSP network, you'll likely have to change it.
train_stage=-100
multisplice=false
if $multisplice; then
nnet_dir=tri6_nnet_multisplice
else
nnet_dir=tri6_nnet
fi
. utils/parse_options.sh
#... | true |
cb80e11fd79747729ecd6d836ec95f73d4c53a3c | Shell | ammar257ammar/data2services-download | /datasets/affymetrix/download.sh | UTF-8 | 2,230 | 3.515625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
if [[ -z "$1" ]]; then
echo "Provide a target directory to store downloaded files as argument. E.g.: /data/kraken-download/datasets"
exit 1
fi
mkdir -p $1
cd $1
wget -N -a download.log https://www.thermofisher.com/nl/en/home/life-science/microarray-analysis/microarray-data-analysis/genechip-array-anno... | true |
bdd5f45815668dfe9dac96d66a4eac1d66f27f25 | Shell | ponxabebi/Piscine-42 | /Shell/shell00/ex01/ex01.sh | UTF-8 | 1,463 | 3.0625 | 3 | [] | no_license | # **************************************************************************** #
# #
# ::: :::::::: #
# ex01.sh :+: :+: :+: ... | true |
7e7f34a6286bdd784c3dcc7cc6d913e2f2943590 | Shell | refinery-platform/lineup-refinery-docker | /docker_build.sh | UTF-8 | 247 | 2.640625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -o errexit
source environment.sh
echo "REPO: $REPO"
echo "IMAGE: $IMAGE"
$OPT_SUDO docker pull $REPO
$OPT_SUDO docker build \
--cache-from $REPO \
--tag $IMAGE \
context | true |
db5702caab66b0ab8b5108a3da0d4f5f8c906382 | Shell | Themitchell/Dot-Files | /.zsh_partials/docker.sh | UTF-8 | 960 | 3.578125 | 4 | [] | no_license | # if which docker-machine > /dev/null; then eval $(docker-machine env default); fi
export DOCKER_BACKUP_DATE_TIME_FORMAT="%Y-%m-%d %H-%M"
export DOCKER_VOLUME_PATH="/var/lib/docker/volumes"
export DOCKER_VOLUME_BACKUP_PATH="$HOME/Docker/Volumes/Backup"
docker_nuke() {
docker stop $(docker ps -a -q) && \
docker rm... | true |
ae0c0e1db13e0a03c2336917ec961d316cc5ba9c | Shell | NetJamOrg/netjam-api | /devserver.sh | UTF-8 | 183 | 2.75 | 3 | [] | no_license | #!/usr/bin/env bash
set -e
command=''
while IFS='' read -r line || [[ -n "$line" ]]; do
command="$command $line"
done < secrets.txt
command="$command rails s"
bash -c "$command"
| true |
076552b584c315463bbbc99368fbf8e83e9d0898 | Shell | waffle-iron/elvis-ember | /scripts/1-prepare.sh | UTF-8 | 549 | 3.25 | 3 | [] | no_license | #!/bin/bash
if [ -x "$NVM_BIN" ] ; then
echo "NVM installed, moving on..."
else
echo -ne "NVM not found, attempting install... "
wget -qO- https://raw.githubusercontent.com/creationix/nvm/v0.31.0/install.sh | bash
echo "done."
fi
cd ..
echo -ne "Installing node.js version "$NODE_VERSION
nvm install $... | true |
ebfaab4888c08c27a846fae3edf3b2b5ee646516 | Shell | chandarana/distributed-compliance-ledger | /integration_tests/cli/modelinfo-demo.sh | UTF-8 | 2,447 | 2.6875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright 2020 DSR Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | true |
12eeadc51b0576f04f48fda8d8d442f80f42c142 | Shell | SanjayMarreddi/fury | /ci/travis/script.sh | UTF-8 | 653 | 3.375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -ev
if [ "$INSTALL_TYPE" == "pip" ]; then
hash -r
else
# Anaconda
export PATH=${ENV_DIR}/miniconda/bin:$PATH
hash -r
source activate testenv
fi
# Install and test FURY
cd ${TRAVIS_BUILD_DIR}
pip install .
if [[ "${COVERAGE}" == "1" ]]; then
coverage run -m pytest -svv fury # Run the tests... | true |
160ea1d21227c770112a80210be0531a4c33b09e | Shell | anetczuk/LinakDeskApp | /test/gatttool/020_list_services.ssh | UTF-8 | 355 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ "$#" -ne 1 ]; then
echo "illegal number of parameters -- BT mac address missing"
exit 1
fi
btAddress="$1"
echo "Services:"
gatttool -t random -b "$btAddress" --primary
echo -e "\nCharacteristics:"
gatttool -t random -b "$btAddress" --characteristics
echo -e "\nDescriptors:"
gatttool -t r... | true |
dceb9f39e76a661193f531900e5c230c305b02d7 | Shell | braddr/at-client | /ec2-bootstrap/scripts/Linux-c3.large-bootstrap.sh | UTF-8 | 1,443 | 3.390625 | 3 | [] | no_license | #!/bin/sh
# args:
# 0 = app name
# 1 = instance size
echo "Starting $1 at-client bootstrap"
# update to current amazon inux
yum -y update
# install basic tools
yum -y install vim patch screen make git curl mailx
yum -y install glibc-devel.i686 libcurl.i686 libcurl-devel gcc gcc-c++ gdb libstdc++48-devel libstdc... | true |
8d302afdeeeeb143694cae229f91ec0743995bf9 | Shell | pleasemarkdarkly/iomega_hipzip | /vendor/ecos/packages/hal/mips/ref4955/current/misc/swap4.tcl | UTF-8 | 805 | 3.515625 | 4 | [] | no_license | #!/bin/sh
# these lines restart using the tcl shell \
exec sh -c "if ( echo | tclsh ) 2>/dev/null ; then \
exec tclsh \"${0}\" ${1+${*}} ; \
elif ( echo | cygtclsh80 ) 2>/dev/null ; then \
exec cygtclsh80 \"${0}\" ${1+${*}} ; \
else \
echo Could not find TCL interpreter ; \
exit 1 ; \
... | true |
baf3bd7688391889fe32d73725e9ad2d080e3d96 | Shell | natew/orbit | /bin/bootstrap | UTF-8 | 1,348 | 3.3125 | 3 | [] | no_license | #!/bin/bash
. $(dirname $0)/__/common
cd $ROOT
# allow errors
set +e
function restart-vscode() {
out=`code --install-extension yukidoi.blade-runner | grep already | wc -l`
if [[ "$out" -eq 0 ]]; then
pkill Electron
sleep 0.5
code
fi
}
function link-root-modules() {
lerna exec -- yarn link
yarn ... | true |
b767c2b3f01c2e79edcf5435fb5fc6e7d8a866c3 | Shell | JesseCrocker/DotFiles | /zshrc | UTF-8 | 5,215 | 2.828125 | 3 | [] | no_license | ZSH=$HOME/.oh-my-zsh
ZSH_THEME="clean"
COMPLETION_WAITING_DOTS="true"
plugins=(git osx sublime github brew git-flow django fabric github urltools)
DISABLE_AUTO_UPDATE="true" source $ZSH/oh-my-zsh.sh
# prompt
PROMPT='%{$fg[$NCOLOR]%}%B%n${SSH_TTY:+@%m}%b%{$reset_color%}:%{$fg[blue]%}%B%c/%b%{$reset_color%} $(git_pro... | true |
5c035ee857ca978ae305f06374c8b2ca3b241fa0 | Shell | b2gdev/Android-JB-4.1.2 | /tcbin_misc/recovery/sbin/braille | UTF-8 | 2,673 | 4.03125 | 4 | [] | no_license | #!/usr/bin/sh
. "$(dirname "${0}")/prologue.sh"
vtNumber=2
set -e
set +o monitor
umask 022
cd /
packageName="brltty"
systemDirectory="/etc/${packageName}"
persistentDirectory="/cache/${packageName}"
temporaryDirectory="/tmp/${packageName}"
checkProcess() {
local file="${1}"
[ ! -f "${file}" ] || {
local pi... | true |
641823d4df7d0effcbab00cd723a39bfd20ac82b | Shell | haithemsekri/xen-arm-builder | /04-rootfs-build-dev-image.sh | UTF-8 | 1,493 | 3.546875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
source 00-rootfs-setup-env.sh
SRC_TAR_FILE=$TARGET_TAR_FILE
DISK_FILE=$DEV_DISK_FILE
DISK_TAR_FILE=$DEV_TAR_FILE
DISK_SIZE_MB=4096
[ ! -f $SRC_TAR_FILE ] && echo "$SRC_TAR_FILE not found" && exit 0
create_rootfs_disk() {
if [ -f $DISK_TAR_FILE ]; then
echo "Based on: $DISK_TAR_FILE"
./10-tar-to-di... | true |
0e718443743b75a3a0fb0a0588256b587effe7c5 | Shell | toopy/jenkins-formula | /jenkins/cli/jenkins-cli | UTF-8 | 659 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -eu
URL=${URL:-"http://{{ host }}/"}
case $1 in
# Implements master-url command locally
master-url)
echo $URL
exit 0
;;
wait-master-online)
exec curl --silent --show-error --head --retry 300 --retry-delay 1 $URL >/dev/null
;;
wait-idle)
for i in $(seq 600) ; do
... | true |
897f7cfda086daa5bff9b2284201af6f1608e3d6 | Shell | gmyoungblood-parc/docker-pcmbase-extdb | /osxCreateContainerBridge.sh | UTF-8 | 1,303 | 4.09375 | 4 | [] | no_license | #!/bin/bash
#
# Container Bridge for Making Docker Containers Available on the local Inter/Intranet
# Only for Mac OS X Yosemite or higher
# Created by G. Michael Youngblood at PARC, February 2016
#
# Depends on socat, which can be installed via brew
# $ brew install socat
#
# Get brew from http://brew.sh/
#
CONTAINER_... | true |
ebded46a88419fd8650ed1d2860aa2c6c18b5a5b | Shell | lavjamanxd/aur-alucryd | /pantheon/pantheon-calculator-git/PKGBUILD | UTF-8 | 1,012 | 2.765625 | 3 | [] | no_license | # Maintainer: Maxime Gauduin <alucryd@archlinux.org>
pkgname=pantheon-calculator-git
pkgver=r615.4bf1cfc
pkgrel=1
pkgdesc='The Pantheon Calculator'
arch=('x86_64')
url='https://github.com/elementary/calculator'
license=('GPL3')
groups=('pantheon-unstable')
depends=('glib2' 'glibc' 'gtk3'
'libgranite.so')
make... | true |
c148eb6cc662ea80637a2a814fa2da4ccd45011a | Shell | fa35/pinguinsoft | /woche3/createprojects.sh | UTF-8 | 730 | 3.578125 | 4 | [] | no_license | #!/bin/bash
for file in *
do
# skip directories to only handle .conf files
if [ -d $file ]; then
continue
fi
# get data from conf files
pname=`grep "pname" $file | cut -d : -f2`
pname=${pname%?}
groupadd "dev_$pname"
pleiter=`grep "pleiter" $file | cut -d: -f2`
pleiter=${pleiter%?}
pmitarbei... | true |
fd590db5fa27f9a991d563240bd25edfd5b00a6f | Shell | gooselinux/libmemcached | /strip-hsieh.sh | UTF-8 | 286 | 2.8125 | 3 | [] | no_license | #!/bin/bash -ex
ver=$1
tdir=`mktemp -d tmpXXXXXX`
pushd $tdir
tar -xzf ../libmemcached-$ver.tar.gz
pushd libmemcached-$ver
rm libmemcached/hsieh_hash.c
popd
rm -f ../libmemcached-$ver-exhsieh.tar.gz
tar -czf ../libmemcached-$ver-exhsieh.tar.gz libmemcached-$ver
popd
rm -rf $tdir | true |
8c620d2fa977aadf58ecb69107457566437df01d | Shell | petronny/aur3-mirror | /mingw32-fftw-static/PKGBUILD | UTF-8 | 808 | 2.578125 | 3 | [] | no_license | # Contributor: archerC <brightcxl@gmail.com>
pkgname=mingw32-fftw-static
pkgver=3.2.2
pkgrel=1
pkgdesc="fftw built with mingw32"
arch=('i686' 'x86_64')
url="http://www.fftw.org"
license=('GPL')
makedepends=(mingw32-gcc)
source=(http://www.fftw.org/fftw-$pkgver.tar.gz)
noextract=()
md5sums=('b616e5c91218cc778b5aa735fefb... | true |
40767ba308579257fea8ffad4b6516598d3bd252 | Shell | mengfish/tool | /stress/sysinfo.sh | UTF-8 | 1,172 | 3.203125 | 3 | [] | no_license | #!/bin/bash
HOSTNAME=$(/usr/bin/hostname)
GPU_GT=$(./sysinfo | grep "gpu_gt" | awk -F "\"" '{print $4}')
MEMORY_SIZE=$(cat /proc/meminfo | grep "MemTotal" | awk -F " " '{print $2}')
kERNEL=$(/usr/bin/uname -r)
PLATFORM=$(lspci | grep "Host bridge" | awk -F ':' '{print $3}' | cut -d " " -f 4)
CPU=$(lscpu | grep "M... | true |
6343b5ae2489621eb9e93899195a4532ad46a9a4 | Shell | zhiyhu/CAPS-paper | /analysis/ps_astair2bw.sh | UTF-8 | 694 | 3.3125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# Astair output to bigwig by depth cutoff of 10
# Zhiyuan Hu
# 24 Oct 2020; last modified 18 Nov 2020
module load ucsctools/385
wd=$HOME/projects/taps/caps/astair_output
chrsize=$HOME/projects/taps/ref/chrom_sizes.tsv
# cutoff = 10
for smp in YL708508f YL709502c; do
infile=${wd}/mm9/${smp}_dedup_chrselected... | true |
4c638206549604db7788668967a2c97eff4daacd | Shell | zainosaurus/dotfiles | /bash/aliases | UTF-8 | 1,049 | 3.203125 | 3 | [] | no_license | #!/bin/bash
# Bash Aliases inspired by @PatrickDuncan's aliases: https://github.com/PatrickDuncan/bash_shell
# General Aliases
alias ls='ls -GFh --color'
alias l='ls -GFh'
alias la='ls -A'
alias ll='ls -l'
alias lla='ls -la'
# Git Aliases
LOG="git log --graph --decorate --format=format:'%C(bold green)%h%C(reset) - %... | true |
fc7e4e53cb5d527836befe5818ac68e9155d304f | Shell | RandomNinjaAtk/Scripts | /lso_docker_ubuntu/updaters/mp4-automator-automated-updates.bash | UTF-8 | 940 | 3.09375 | 3 | [] | no_license | #!/bin/bash
echo "==========MP4 AUTOMATOR AUTOMATED UPDATES==========="
# Check for folder, create folder if needed (hotio docker image compatibility)
if [ ! -d /config/custom-cont-init.d ]; then
mkdir /config/custom-cont-init.d
fi
if [ -f /config/custom-cont-init.d/mp4-automated-installer.bash ]; then
rm /config/c... | true |
2b2ea8788072533842b0f2bba924e170c2a31121 | Shell | maallen3/slurmscripts | /IT_template.slurm | UTF-8 | 799 | 2.609375 | 3 | [] | no_license | #!/bin/bash
#SBATCH --job-name=slurm_test # Job name
#SBATCH --mail-type=ALL # Mail events (NONE, BEGIN, END, FAIL, ALL)
#SBATCH --mail-user=username@colorado.edu # Where to send mail
#SBATCH --nodes=1 # Run on a single node
#SBATCH --ntasks=1 # Number of CPU (processer cores i.e. tasks) In this example I use 1. I... | true |
f80f8cb95cfe0a59975945ce32966fcbd3c76103 | Shell | GearTranslations/spotter-blog | /_scripts/git_hooks_crontab.sh | UTF-8 | 677 | 3.421875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Paths and processes
blog_path=$SPOTTER_BLOG_PATH
gemfile="$blog_path/Gemfile"
process="_scripts/git_hooks.rb"
bundle_command="/home/ubuntu/.rbenv/shims/bundle"
# Log files
log_folder="/home/ubuntu/log"
logfile="$log_folder/blog-listener-crontab.log"
server_logfile="$log_folder/blog-listener-server.log"
... | true |
9f074ce88344b6fbaaff486de3d7eda674ed82e0 | Shell | etalab/optimouv | /dev | UTF-8 | 329 | 2.96875 | 3 | [] | no_license | #!/bin/bash
BASEDIR=`dirname "$(realpath -s $0)"`
export BASEDIR
FILES="-f ${BASEDIR}/docker/docker-compose.yml -f ${BASEDIR}/docker/docker-compose.dev.yml"
if [ -f $BASEDIR/docker/docker-compose.override.yml ]
then
FILES="${FILES} -f ${BASEDIR}/docker/docker-compose.override.yml"
fi
docker-compose -p optimouv $FI... | true |
c862e6ee7420b96ba96a308009d28c06e41a0e32 | Shell | jiteshsojitra/zm-pkg-tool | /e2e-tests/TEST.sh | UTF-8 | 5,443 | 3.671875 | 4 | [] | no_license | #!/bin/bash
set -e
if [ $(whoami) != "root" ]
then
echo "REQUIRES ROOT PERMISSIONS"
exit 1
fi
exec 9>&1
exec 1>/tmp/pkg-test.log 2>&1
CNT=1
ECHO_TEST()
{
NAME=$1; shift;
echo "####################################################################################" >&9
echo "RUNNING TEST $CNT: $NAME ..... | true |
ee00ec0cdf3a4d4bf05d2a310cb92021a288f3cd | Shell | someone47/dotfiles | /install.sh | UTF-8 | 1,508 | 3.40625 | 3 | [] | no_license | #!/usr/bin/env bash
# install.sh
# Detect the path to the .dotfiles folder
export DOTFILES_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
DOTFILES_CACHE="$DOTFILES_DIR/.cache.sh"
# Make utilities available
PATH="$DOTFILES_DIR/bin:$PATH"
# Create XDG Base Directories
# and do not complain when is already exist... | true |
d8695316967e19c00eb1594463c4bce1e4f6b78c | Shell | olzraiti/dotfiles | /bin/sulka | UTF-8 | 521 | 3.125 | 3 | [] | no_license | #!/bin/bash
tomcat=$HOME/lib/apache-tomcat-7.0.77
sulka=$HOME/src/luomus/sulka
function deploy {
cp $sulka/target/sulka-1.0.0-BUILD-SNAPSHOT.war $tomcat/webapps/sulka.war
echo "Sulka deployed"
}
function build {
cd $sulka
mvn clean install -Dmaven.test.skip=true -Djava.net.preferIPv4Stack=true
}
function update {... | true |
efe5f270ee5fa4227a8a8bbeb5047089948b79a6 | Shell | hestonhoffman/nebula-steps | /scripts/ci | UTF-8 | 144 | 2.59375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -euo pipefail
if [[ "${TRAVIS_BRANCH-}" == "master" ]]; then
export BUILD_TAGS="${BUILD_TAGS-} latest"
fi
exec "$@"
| true |
2ad444e1b6f0a2fe8b85cd13393f7b2e4bbf45ea | Shell | phenonymous/.dotfiles | /zsh/functions/nerdfonts/nerdinit | UTF-8 | 730 | 3.296875 | 3 | [
"Unlicense"
] | permissive | ## vim:ft=zsh ts=2 sw=2 sts=2 et fenc=utf-8
emulate -L zsh
setopt extendedglob
typeset name script
typeset -a match
typeset -gaU nf
# Autoload all i_*.sh functions in fpath
for script in $^fpath/i_*.sh(N); do
if [[ $script == */i_(#b)(*).sh ]]; then
name="$match[1]"
if [[ $name == "all" ]]; then
conti... | true |
14725be134aff334944cec1f0270c6808042461a | Shell | geekgeekvm/Lab-Programs-3rd-Semester | /Unix/lab4/assg2/p1.sh | UTF-8 | 411 | 3.203125 | 3 | [] | no_license | if [ $2 -gt 0 ]
then
if [ $1 -le 0 ]
then
echo "Negative number and zero not allowed. "
exit
fi
fi
if [ $1 -gt 0 ]
then
if [ $2 -le 0 ]
then
echo "Negative number and zero not allowed. "
exit
fi
fi
if [ $1 -lt 0 ]
then
if [ $2 -lt 0 ]
then
echo "Negative numbers not allowed."
exit
fi
fi
if [ ... | true |
c4bd3a72fc64ec6b6d075ab4384bd3c07e1cafd4 | Shell | tfogo/k8s-katacoda | /k8s/kubectl-setup.sh | UTF-8 | 239 | 2.6875 | 3 | [] | no_license | #!/bin/bash
if [ $(hostname) == "node01" ]
then
mkdir $HOME/.kube
cp /etc/kubernetes/kubelet.conf $HOME/.kube/config
else
kubectl create clusterrolebinding node-admin-binding --clusterrole=cluster-admin --user=system:node:node01
fi
| true |
c56c84b52f82343aa0f00a87fafd9a788f3d9ea0 | Shell | hammaddaraz/AwesomeRepo | /Bash_Scripts/createuser.sh | UTF-8 | 412 | 3.40625 | 3 | [] | no_license | #!/bin/bash
### Creating users on remote server using arguments ###
SERVER=$1
USER1=$2
echo -e "\n######## Creating $USER1 on $SERVER #######\n"
ssh $SERVER "useradd $USER1"
ssh $SERVER "echo 123 | passwd --stdin $USER1"
echo -e "\n######## Verify $USER1 on $SERVER #######\n"
ssh $SERVER "hostname; id $USER1 ; g... | true |
948d6d7fbc3ef339d1957c10ed40cda6710ecf22 | Shell | gandresr/FLibSWMM | /fortran/tests/test_populate_linknode_attributes/Allmake.sh | UTF-8 | 784 | 2.671875 | 3 | [] | no_license | #!/bin/bash
echo Copying files ...
cp ../../network_graph.f08 .
cp ../../dynamic_array.f08 .
cp ../../tables.f08 .
cp ../../errors.f08 .
cp ../../dll_mod.f08 .
cp ../../interface.f08 .
cp ../../objects.f08 .
cp ../../inflow.f08 .
echo Compiling Test ...
FC=gfortran-9
OPTFLAGS=-g
FFLAGS=-02
PROGRAM=SWMM
PRG_OBJ=$PROG... | true |
7e6408aba17a4594dfa8f13b0d9f5eb049ba7c98 | Shell | nickv-nextcloud/travis-branch-only-update-script | /corebranch.sh | UTF-8 | 1,134 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
# Checkout and update the branch on all repos
set -e
CORE_BRANCH=stable8.2
echo "Fetch $CORE_BRANCH"
echo "======================"
git fetch origin $CORE_BRANCH
set +e
echo ""
echo "Delete existing $CORE_BRANCH"
echo "======================"
git branch -D $CORE_BRANCH
set -e
echo "Checkout $CORE_BR... | true |
757fb21165c4048afa15ebc6a81009b9b8c47528 | Shell | Jbennett8/Genome-Annotation-Pipeline | /bin/alignment/hisat/index.sh | UTF-8 | 554 | 3.25 | 3 | [] | no_license | #!/bin/bash
#SBATCH --job-name=hisat
#SBATCH -o %x%j.out
#SBATCH -e %x%j.err
#SBATCH --ntasks=1
#SBATCH --nodes=1
#SBATCH --cpus-per-task=16
#SBATCH --partition=general
#SBATCH --qos=general
#SBATCH --mem=150G
module load hisat2/2.2.1
## Aligns all trimmed short reads in a directory to an input fasta
## Converts to ... | true |
6a0f8024667511d6ef39ee44f5722e2596272eb3 | Shell | mvollman/openstack-ansible-lxc_hosts | /templates/lxc-machinectl.j2 | UTF-8 | 7,409 | 3.703125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Copyright 2017, Rackspace US, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable ... | true |
93ffa86d32d62ec4e70841e9b487e080fc924c69 | Shell | globaldothealth/list | /dev/run_full_stack.sh | UTF-8 | 332 | 2.828125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
# Store current directory.
# We have to run docker compose from this directory for it to pick up the .env file.
pushd `dirname "$0"`
CURATOR_VERSION=`git rev-parse HEAD` docker compose -f docker-compose.yml -f docker-compose.dev.full.yml up --build --force-recreate --renew-anon-volumes
# Restore dire... | true |
3e67157c0270af54c3e71c2a1aa0bdc356c13f4f | Shell | jufei/Resource | /Resource/tools/ftpdown.sh | UTF-8 | 307 | 2.734375 | 3 | [] | no_license | #!/bin/bash
ftp_site=10.69.66.150
ftp_username=cpman
ftp_password=cpman
ppp_connection=ppp0
route add $ftp_site $ppp_connection
rm -rf ./cache/*
for i in `seq 1 100`;
do
echo $i
wget ftp://$ftp_username:$ftp_password@$ftp_site/download/0 -O ./cache/0.img
rm -rf ./cache/0.img
done
| true |
c767c467078342e87afa90b45119664026f14750 | Shell | devries/pwned | /shar/sh-header | UTF-8 | 482 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
echo ""
echo "pwned - starting installation... please wait"
echo ""
# create a temp directory to extract to.
export WRKDIR=`mktemp -d /tmp/selfextract.XXXXXX`
SKIP=`awk '/^__ARCHIVE_FOLLOWS__/ { print NR + 1; exit 0; }' $0`
# Take the TGZ portion of this file and pipe it to tar.
tail -n +$SKIP $0 | tar xz ... | true |
60f7b783458cdd278c5499f22dc08c158b8f4120 | Shell | BastiJea/fileretriever | /fileretriever.sh | UTF-8 | 235 | 2.640625 | 3 | [] | no_license | #!/usr/bin/env bash -x
FILES=$(ssh bastibast@192.168.0.200 -- find /home/bastibast/lendicotest -type f -mtime 0 2>&1)
echo "$FILES"
scp -T -i ~/.ssh/id_rsa bastibast@192.168.0.200:"$FILES" ~/lendico/multiplecopy/${FILES##*/}
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.